Erreur apt-get : The mysql.session exists but is not correctly configured. The mysql.session needs SELECT privileges in the performance_schema database and the mysql.db table and also SUPER privileges

Tombé sur cette erreur aujourd’hui en lancant un apt-get upgrade

The mysql.session exists but is not correctly configured. The mysql.session needs SELECT privileges in the performance_schema database and the mysql.db table and also SUPER privileges

La solution est dans le message d’erreur, il semble que à la suite d’un upgrade précédent de mysql cette requête n’ai pas été exécutée :

INSERT IGNORE INTO mysql.tables_priv VALUES ('localhost', 'mysql','mysql.session', 'user', 'root@localhost', CURRENT_TIMESTAMP,'Select', '');

Lancer ça dans mysql, puis relancer la commande apt-get précédente résoud le problème